package com.heyu.api.data.dao.device;
/**
* <p>
* 闹钟音乐表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.device.DeviceAlarmClockMusicEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface DeviceAlarmClockMusicDao extends BaseMapper<DeviceAlarmClockMusicEntity> {


	DeviceAlarmClockMusicEntity selectDeviceAlarmClockMusicById(@Param("id")Long id);


	Long insertDeviceAlarmClockMusic(DeviceAlarmClockMusicEntity deviceAlarmClockMusic);


	Long insertOrUpdateDeviceAlarmClockMusic(DeviceAlarmClockMusicEntity deviceAlarmClockMusic);


	int updateDeviceAlarmClockMusicById(DeviceAlarmClockMusicEntity deviceAlarmClockMusic);


	int updateCoverDeviceAlarmClockMusicById(DeviceAlarmClockMusicEntity deviceAlarmClockMusic);


	int deleteDeviceAlarmClockMusicById(@Param("id")Long id);


}